Bug 603794 - [abrt] crash in xchat-1:2.8.8-2.fc13: gtk_xtext_selection_clear: Process /usr/bin/xchat was killed by signal 11 (SIGSEGV)
[abrt] crash in xchat-1:2.8.8-2.fc13: gtk_xtext_selection_clear: Process /usr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xchat (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
abrt_hash:a3d5949f71079c7ada5a5916263...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-14 11:29 EDT by Patrick C. F. Ernzer
Modified: 2011-06-27 14:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:12:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (17.83 KB, text/plain)
2010-06-14 11:29 EDT, Patrick C. F. Ernzer
no flags Details

  None (edit)
Description Patrick C. F. Ernzer 2010-06-14 11:29:19 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: xchat
component: xchat
crash_function: gtk_xtext_selection_clear
executable: /usr/bin/xchat
global_uuid: a3d5949f71079c7ada5a5916263a72f392b1534e
kernel: 2.6.33.5-112.fc13.x86_64
package: xchat-1:2.8.8-2.fc13
rating: 4
reason: Process /usr/bin/xchat was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
How to reproduce: 1. trying to select text with the mouse (to paste into another application)
Comment 1 Patrick C. F. Ernzer 2010-06-14 11:29:21 EDT
Created attachment 423868 [details]
File: backtrace
Comment 2 Kevin Kofler 2010-06-14 17:04:57 EDT
Offending line:
		ent->mark_start = -1;
Corresponding assembly:
=> 0x000000000043ee18 <+56>:	movw   $0xffff,0x24(%rax)
where %rax (ent) is:
rax            0x756f726120657573	8462107986333365619
Looks like an invalid textentry * found its way into the linked list at buf->last_ent_start.

Unfortunately, I cannot reproduce this, there must be more preconditions than what you quoted.

Can you please report this upstream?
https://sourceforge.net/tracker/?func=add&group_id=239&atid=100239
Comment 3 Patrick C. F. Ernzer 2010-06-16 07:34:43 EDT
this was a one off crash (I regularly copy&paste from xchat).
If there was nothing useful in the backtrace, then just CLOSED WORKSFORME
Comment 4 Todd Thomas 2010-08-24 20:34:12 EDT
Package: xchat-1:2.8.8-2.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----

1. Leave xchat up for a week or so
2. higlight some text in the main window
3. right-click to copy the highlighted text > crash


Comment
-----
I'm not sure how reproducible this is. I had xchat on for over a week. I wen't to highlight some text in the main window and it just crashed on me. I hope the back trace can give some insight into this problem. Otherwise I can't help.
Comment 5 Bug Zapper 2011-06-02 06:53:54 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-27 14:12:51 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.